///
/// Solid State by HTML5 UP
/// html5up.net | @ajlkn
/// Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
///
/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


/* Footer */

@import 'wrapper';

body:not(.unsplash-bg) #footer {
    background-color: _palette(bg);
    background-image: linear-gradient(to top, transparentize(_palette(bg), 0.2), transparentize(_palette(bg), 0.2)),
                      url('https://images.unsplash.com/photo-1459749411175-04bf5292ceea?ixlib=rb-0.3.5&q=80&fm=jpg&crop=entropy&w=1080&fit=max&s=41d75dbe679b397b130ad985acd16b18');
    background-size: auto, cover;
    background-attachment: fixed, fixed;
    background-position: center, center;

    @include wrapper-edges-color(white);
    &:before {
        background-repeat: no-repeat;
        background-size: 100% 100%;

        content: '';
        display: block;

        position: relative;
        height: _size(wrapper-edges, large);
        width: 100%;
        transform: scaleX(-1) scaleY(-1);

        @include breakpoint(medium) {
            height: _size(wrapper-edges, medium);
        }

        @include breakpoint(small) {
            height: _size(wrapper-edges, small);
        }
    }
}

#footer {
    .inner {
        @include padding(5em, 0);
        @include vendor('display', 'flex');
        @include vendor('flex-direction', 'row');
        @include vendor('flex-wrap', 'wrap');
        margin: 0 auto;
        width: _size(inner);
        max-width: 100%;

        form {
            margin: 0 _size(section-spacing, large) 0 0;
            width: 100%;
        }

    }

    @include breakpoint(medium) {
        .inner {
            @include padding(3em, 3em);
            display: block;
            width: 100%;

            form {
                margin: 0 0 (_size(element-margin) * 2) 0;
            }

            .copyright {
                margin: (_size(element-margin) * 2) 0 _size(element-margin) 0;
            }
        }
    }

    @include breakpoint(small) {
        .inner {
            @include padding(2em, 2em);

            form {
                margin: 0 0 (_size(element-margin) * 1.5) 0;
            }
        }
    }

    @include breakpoint(xxsmall) {
        .inner {
            @include padding(2em, 1.5em);
        }
    }
}

.SignupShovel {
    margin-bottom: _size(element-margin);
    display: flex;
    align-items: center;
    justify-content: space-around;
    width: 100%;

    @include breakpoint(small) {
        flex-direction: column;
    }
}
.SignupShovel p {
    margin: 0;
}

.FooterLinks {
    display: flex;
    justify-content: center;
    border-top: solid 2px _palette(border);
    padding: (_size(element-margin) / 2) 0 0 0;
    width: 100%;
}

.FooterLinks__list {
    display: flex;
    flex-direction: column;

    border-left: solid 2px _palette(border);
    margin-left: 1em;
    padding: 0;
    padding-left: 1em;

    list-style: none;

    &:first-child {
        border-left: 0;
        margin-left: 0;
        padding-left: 0;
    }
}

.FooterLinks__item {
    color: _palette(fg-light);
    font-size: 0.9em;
    line-height: 1;

    margin-top: 1em;
    &:first-child {
        margin-top: 0;
    }

    a {
        color: inherit;
    }
}

@include breakpoint(xsmall) {
    .FooterLinks {
        flex-direction: column;
        padding-bottom: 1em;
    }
    .FooterLinks__list {
        margin-left: 0;
        padding-left: 0;
        border-left: 0;

        &:not(:first-child) {
            border-top: solid 2px _palette(border);
            margin-top: 1em;
            padding-top: 1em;
        }
    }
}
